Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class Delambdafy extends SubComponent with Transform with TypingTransformers with TreeDSL with TypeAdaptingTransformer

  This transformer is responsible for preparing Function nodes for runtime, by translating to a tree that will be converted to an invokedynamic by the backend.

  This transformer is responsible for preparing Function nodes for runtime, by translating to a tree that will be converted to an invokedynamic by the backend.

  The main assumption it makes is that a Function {args => body} has been turned into {args => liftedBody()} where lifted body is a top level method that implements the body of the function. Currently Uncurry is responsible for that transformation.

  From this shape of Function, Delambdafy will create:

  An application of the captured arguments to a fictional symbol representing the lambda factory. This will be translated by the backed into an invokedynamic using a bootstrap method in JDK8's `LambdaMetaFactory`. The captured arguments include `this` if `liftedBody` is unable to be made STATIC.

  Definition Classes
    transform
- CODE
- DelambdafyTransformer
- FreeVarTraverser
- LambdaMetaFactoryCapable
- Phase
- SkipPhase
- StdPhase
- ThicketTransformer
- ThisReferringMethodsTraverser
- TypeAdapter
- TypingTransformer

c

scala.tools.nsc.transform.Delambdafy

# LambdaMetaFactoryCapable

###

#### final case class LambdaMetaFactoryCapable(lambdaTarget: Global.Symbol, arity: Int, functionalInterface: Global.Symbol, sam: Global.Symbol, bridges: List[Global.Symbol], isSerializable: Boolean) extends Product with Serializable

Source
  Delambdafy.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LambdaMetaFactoryCapable
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LambdaMetaFactoryCapable(lambdaTarget: Global.Symbol, arity: Int, functionalInterface: Global.Symbol, sam: Global.Symbol, bridges: List[Global.Symbol], isSerializable: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LambdaMetaFactoryCapable toany2stringadd[LambdaMetaFactoryCapable] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (LambdaMetaFactoryCapable, B)
   Implicit
     This member is added by an implicit conversion from LambdaMetaFactoryCapable toArrowAssoc[LambdaMetaFactoryCapable] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val arity: Int
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val bridges: List[Global.Symbol]
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def ensuring(cond: (LambdaMetaFactoryCapable) => Boolean, msg: => Any): LambdaMetaFactoryCapable
    Implicit
      This member is added by an implicit conversion from LambdaMetaFactoryCapable toEnsuring[LambdaMetaFactoryCapable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (LambdaMetaFactoryCapable) => Boolean): LambdaMetaFactoryCapable
    Implicit
      This member is added by an implicit conversion from LambdaMetaFactoryCapable toEnsuring[LambdaMetaFactoryCapable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): LambdaMetaFactoryCapable
    Implicit
      This member is added by an implicit conversion from LambdaMetaFactoryCapable toEnsuring[LambdaMetaFactoryCapable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): LambdaMetaFactoryCapable
    Implicit
      This member is added by an implicit conversion from LambdaMetaFactoryCapable toEnsuring[LambdaMetaFactoryCapable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from LambdaMetaFactoryCapable toStringFormat[LambdaMetaFactoryCapable] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  val functionalInterface: Global.Symbol
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val isSerializable: Boolean
21.  val lambdaTarget: Global.Symbol
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def productElementNames: Iterator[String]
    Definition Classes
      Product
26.  val sam: Global.Symbol
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (LambdaMetaFactoryCapable, B)
   Implicit
     This member is added by an implicit conversion from LambdaMetaFactoryCapable toArrowAssoc[LambdaMetaFactoryCapable] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromLambdaMetaFactoryCapable to any2stringadd[LambdaMetaFactoryCapable]

### Inherited by implicit conversion StringFormat fromLambdaMetaFactoryCapable to StringFormat[LambdaMetaFactoryCapable]

### Inherited by implicit conversion Ensuring fromLambdaMetaFactoryCapable to Ensuring[LambdaMetaFactoryCapable]

### Inherited by implicit conversion ArrowAssoc fromLambdaMetaFactoryCapable to ArrowAssoc[LambdaMetaFactoryCapable]

### Ungrouped